/*
  But :     
  Auteur : Tiago + Lopes
  Date :   07.06.2021 / V1.0
*/


//Active le bouton quand le captcha est valide
function valideCaptcha() {
  document.getElementById("login").disabled = false;
}

class LoginCtrl {
  constructor() {
    $("#login").click(() => {
      this.validerUtilisateur();
    });
  }

  validerUtilisateur() {
    // récupère les objets InputText du formulaire HTML
    let user = document.getElementById("username").value;
    let psw = document.getElementById("password").value;

    console.log("le username est : " + user);
    console.log("le password est : " + psw);

    if (user.toLowerCase() === "admin" && psw === "admin" || user.toLowerCase() === "emf123" && psw === "emf123") {
        window.alert("Utilisateur validé");
        this.redirect();

    } else {
      window.alert("Vos identifications sont incorrects !!!\nVeuillez réessayer...")
    }
  }
  redirect() {
    window.location.href = "../300222_307_Projet_Lopes_Tiago/views/accueil.html"
  }
}
